Solved: Zimbra 9 and Zimbra 8.8.15 Problems after Patching

Posted by

Today, I receive email from Zimbra about new patch 4 for Zimbra 9 and patch 11 for Zimbra 8.8.15. Then, my team did an upgrade/patch our Zimbra prod environment. However, we got problems after patching Zimbra. The problems are:

– Some user cannot send email, reply, or forwarding email
– Some user cannot use Send As Distribution List

Error in mailbox.log as below

soap - handler exception
java.lang.NullPointerException
        at com.zimbra.cs.util.AccountUtil.isDataSourceAddress(AccountUtil.java:924)
        at com.zimbra.soap.ZimbraSoapContext.(ZimbraSoapContext.java:364)
        at com.zimbra.soap.SoapEngine.dispatch(SoapEngine.java:330)
        at com.zimbra.soap.SoapEngine.dispatch(SoapEngine.java:278)
        at com.zimbra.soap.SoapServlet.doWork(SoapServlet.java:308)
        at com.zimbra.soap.SoapServlet.doPost(SoapServlet.java:217)
        at javax.servlet.http.HttpServlet.service(HttpServlet.java:707)
com.zimbra.common.service.ServiceException: permission denied: can not access account example@example.tld
ExceptionId:qtp1225197672-468:https://example/service/soap/SendMsgRequest:1593740802044:46c6a4a97cb793b6
Code:service.PERM_DENIED
        at com.zimbra.common.service.ServiceException.PERM_DENIED(ServiceException.java:318)
        at com.zimbra.common.service.ServiceException.DEFEND_ACCOUNT_HARVEST(ServiceException.java:335)
        at com.zimbra.soap.ZimbraSoapContext.(ZimbraSoapContext.java:373)
        at com.zimbra.soap.SoapEngine.dispatch(SoapEngine.java:330)

And the error when sending email from webmail



So, we decide to downgrade some packages to the previous version. Because we are using Zimbra 9, below is how to do that

# Ubuntu 16.04

apt install zimbra-patch=9.0.0.1590413485.p3-2.u16 zimbra-common-core-jar=9.0.0.1590407096-1.u16

If use another Ubuntu version, you can check zimbra-patch and zimbra-common-core-jar versions by performing this command

apt-cache policy zimbra-patch zimbra-common-core-jar

Then, adjust the zimbra-patch and zimbra-common-core-jar versions when performing downgrade

# CentOS

yum downgrade zimbra-patch zimbra-common-core-jar

Update July 04 2020

Zimbra support team info us that the bug has been fixed. Please re-run upgrade/patch command

RHEL/CentOS:

yum clean metadata
yum check-update
yum install zimbra-patch
su - zimbra -c 'zmcontrol restart'

Ubuntu:

apt-get update
apt-get install zimbra-patch
su - zimbra -c 'zmcontrol restart'

Now our zimbra is back to normal

Good Luck ๐Ÿ™‚

2 comments

  1. when I try on centos 7 it throws message as following:

    # yum downgrade zimbra-patch
    Loaded plugins: fastestmirror
    Loading mirror speeds from cached hostfile
    * base: centos.hbcse.tifr.res.in
    * epel: hkg.mirror.rackspace.com
    * extras: centos.hbcse.tifr.res.in
    * updates: centos.hbcse.tifr.res.in
    No Match for available package: zimbra-patch-8.8.15.1560883472.p0-1.r7.x86_64
    Nothing to do

    it only downgraded zimbra-common-core-jar

Leave a Reply

Your email address will not be published. Required fields are marked *

This site uses Akismet to reduce spam. Learn how your comment data is processed.